version: '3'
services:
  configservice:
    image: hamichiazedine10/configservice:0.0.3
    container_name: configservice
    ports:
    - 4444:8888
  registrationservice:
    image: hamichiazedine10/registrationservice:0.0.2
    container_name: registrationservice
    depends_on:
      - configservice
    ports:
    - 7777:7777
  gatwayservice:
    image:  hamichiazedine10/gatwayservice:0.0.2
    container_name: gatwayservice
    depends_on:
      - configservice
      - registrationservice
    ports:
    - 8080:8080
  moviecatalogservice:
    image: hamichiazedine10/moviecatalogservice:0.0.1
    container_name: moviecatalogservice
    depends_on:
      - configservice
      - registrationservice
      - gatwayservice
    ports:
    - 8083:8083
  movieinfoservice:
    image: hamichiazedine10/movieinfoservice:0.0.2
    container_name: movieinfoservice
    depends_on:
      - configservice
      - registrationservice
      - gatwayservice
    ports:
    - 8084:8084
  ratingsdataservice:
    image: hamichiazedine10/ratingsdataservice:0.0.2
    container_name: ratingsdataservice
    depends_on:
      - configservice
      - registrationservice
      - gatwayservice
    ports:
    - 8086:8086

